Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CWebCamViewer Class Reference

`#include <WebCamViewer.h>`

Inheritance diagram for CWebCamViewer::

List of all members.

## Public Methods

- CWebCamViewer (CVideoDevice *video, const QSize &hint_size, QWidget *parent=0, const char *name=0)
- virtual ~CWebCamViewer ()
- virtual void showMaximized ()

## Public Attributes

- CFTPClient* pClient
- QList<FTPCommandStruct> Commands
- QString LocalFile
- QString RemoteFile
- QTime StartTime
- bool ErrorCondition
- bool DelAfter

## Protected Methods

- void RecalcTotalViewSize ()

## Protected Slots

- void DeviceChangedSize (const QSize &size)
- void DeviceError (int err_no)
- void CallAdjustSize ()

## Detailed Description

A class for the usual webcam activity: take pictures, save them do disk and/or upload to a server.

## Constructor & Destructor Documentation

CWebCamViewer::CWebCamViewer ( | CVideoDevice * video,
| const QSize & hint_size,
| QWidget * parent = 0,
| const char * name = 0 )

virtual CWebCamViewer::~CWebCamViewer ( | )`[virtual]`

## Member Function Documentation

void CWebCamViewer::CallAdjustSize ( | )`[protected, slot]`

| Work around for adjustSize(). Because sometimes adjustSize() doesn't have the desired (or a delayed) effect, we call it through a single-shot timer. Unfortunately adjustSize() isn't a slot, so this is just a wrapper function.

void CWebCamViewer::DeviceChangedSize ( | const QSize & new_size )`[protected, slot]`

| Called from CVideoDevice::Resized

void CWebCamViewer::DeviceError ( | int err_no )`[protected, slot]`

void CWebCamViewer::RecalcTotalViewSize ( | )`[protected]`

| Calculate the total required viewing area, based on video image and 'last snapshot'.

void CWebCamViewer::showMaximized ( | )`[virtual]`

| public slots.

## Member Data Documentation

QList<FTPCommandStruct> CWebCamViewer::Commands

bool CWebCamViewer::DelAfter

bool CWebCamViewer::ErrorCondition

QString CWebCamViewer::LocalFile

QString CWebCamViewer::RemoteFile

QTime CWebCamViewer::StartTime

CFTPClient* CWebCamViewer::pClient

The documentation for this class was generated from the following files:

- WebCamViewer.cc
- WebCamViewer.h